#!/bin/bash


# Definieer de directories die aangemaakt moeten worden
declare -a dirs=(
    "./laravel_app/storage/app/extracted_ci/cumulative_vals"
    "./laravel_app/storage/app/chemba/merged_tif"
    "./laravel_app/storage/app/chemba/merged_virtual"
    "./laravel_app/storage/app/chemba/single_images"
)
#
## Loop door de directories en maak ze aan als ze nog niet bestaan,
## of maak ze leeg als ze al bestaan
for dir in "${dirs[@]}"; do
    if [ ! file -d "$dir" ]; then
        mkdir -p "$dir"
        chmod -R 775 "$dir"
        echo "Directory $dir is aangemaakt en bijgewerkt."
    else
        # Verwijder alle inhoud binnen de bestaande directory
        # find "$dir" -mindepth 1 -delete
        #echo "Inhoud van directory $dir is verwijderd."
        echo "Directory $dir bestaat al."
    fi
done
## Runnen van Jupyter Notebook
# Directory waar de virtuele omgeving zal worden aangemaakt
VENV_DIR="./python_app/myenv"

# Controleer of de virtuele omgeving al bestaat
if [ ! -d "$VENV_DIR" ]; then
    echo "Virtuele omgeving bestaat niet. Aan het aanmaken..."
    python3.9 -m venv "$VENV_DIR"
else
    echo "Virtuele omgeving bestaat al."
fi

# Activeer de virtuele omgeving
source "$VENV_DIR/bin/activate"

# Installeer of update de benodigde pakketten
OS=$(uname | tr '[:upper:]' '[:lower:]')  # Dit zet de uitvoer om naar lowercase
REQUIREMENTS_PATH="python_app/requirements_${OS}.txt"

if [[ ! -f $REQUIREMENTS_PATH ]]; then
    echo "Requirements bestand niet gevonden voor besturingssysteem: $OS"
    exit 1
fi

pip install --upgrade -r $REQUIREMENTS_PATH

# Hier kan je verdere stappen toevoegen, zoals het uitvoeren van je Python-script of Jupyter Notebook
# Deactiveer de virtuele omgeving (optioneel)
deactivate
## Runnen van R scripts 
# Kopieer de excel file met harvesting data en maak directory aan indien nodig
mkdir -p laravel_app/storage/app/harvesting_data
cp "Current - Pivots planting date and harevsting data.xlsx" "laravel_app/storage/app/harvesting_data/"
cp "pivot_20210625.geojson" "laravel_app/storage/app/Data"
